ru.bitel.bgbilling.modules.tv.api.common.event

## Class TvAccountModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.modules.tv.api.common.event.TvAccountModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TvAccountModifiedEvent
      extends Event

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TvAccountModifiedEvent()`
    `` | `TvAccountModifiedEvent(int moduleId, int contractId, int userId, TvAccount oldAccount, TvAccount newAccount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvAccount` | `getNewTvAccount()`
    `TvAccount` | `getOldTvAccount()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvAccountModifiedEvent

          protected TvAccountModifiedEvent()

    - #### TvAccountModifiedEvent

          public TvAccountModifiedEvent(int moduleId,
                                        int contractId,
                                        int userId,
                                        TvAccount oldAccount,
                                        TvAccount newAccount)

  - ### Method Detail

    - #### getOldTvAccount

          public TvAccount getOldTvAccount()

    - #### getNewTvAccount

          public TvAccount getNewTvAccount()